Update business profile
curl --request PATCH \
--url https://api.example.com/api/v1/businesses/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corp",
"type": "ecommerce",
"support_email": "support@acme.com",
"logo_url": "https://cdn.example.com/logo.png",
"show_branding_on_checkout": false,
"website_url": "https://acme.com"
}
'import requests
url = "https://api.example.com/api/v1/businesses/me"
payload = {
"name": "Acme Corp",
"type": "ecommerce",
"support_email": "support@acme.com",
"logo_url": "https://cdn.example.com/logo.png",
"show_branding_on_checkout": False,
"website_url": "https://acme.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme Corp',
type: 'ecommerce',
support_email: 'support@acme.com',
logo_url: 'https://cdn.example.com/logo.png',
show_branding_on_checkout: false,
website_url: 'https://acme.com'
})
};
fetch('https://api.example.com/api/v1/businesses/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}Businesses
Update business profile
PATCH
/
api
/
v1
/
businesses
/
me
Update business profile
Authorizations
API key for /api/v1/* endpoints
Body
application/json
Business name
Example:
"Acme Corp"
Available options:
ecommerce, saas, marketplace, fintech, healthcare, education, logistics, real_estate, travel, food_and_beverage, media_and_entertainment, gaming, retail, professional_services, nonprofit, freelance, other Example:
"ecommerce"
Support email
Example:
"support@acme.com"
Logo URL
Example:
"https://cdn.example.com/logo.png"
Show branding on checkout
Example:
false
Business website
Example:
"https://acme.com"
Response
Business profile updated successfully.